package bubble.dao.device;

import bubble.dao.account.AccountOwnedEntityDAO;
import bubble.model.device.FlexRouter;
import org.springframework.stereotype.Repository;

import java.util.List;

import static org.hibernate.criterion.Restrictions.*;

@Repository
public class FlexRouterDAO extends AccountOwnedEntityDAO<FlexRouter> {

    @Override protected String getNameField() { return "ip"; }

    public List<FlexRouter> findEnabledAndRegistered() {
        return list(criteria().add(and(
                eq("enabled", true),
                ne("port", 0),
                isNotNull("token"))));
    }

    public FlexRouter findByAccountAndIp(String accountUuid, String ip) {
        return findByUniqueFields("account", accountUuid, "ip", ip);
    }

}
