CREATE TABLE flex_router (
    uuid character varying(100) NOT NULL,
    ctime bigint NOT NULL,
    mtime bigint NOT NULL,
    account character varying(100) NOT NULL,
    active boolean NOT NULL,
    enabled boolean NOT NULL,
    ip character varying(500) NOT NULL,
    last_seen bigint,
    port integer NOT NULL,
    token character varying(100)
);

ALTER TABLE ONLY flex_router ADD CONSTRAINT flex_router_pkey PRIMARY KEY (uuid);

CREATE INDEX flex_router_idx_account ON flex_router USING btree (account);
CREATE INDEX flex_router_idx_active ON flex_router USING btree (active);
CREATE INDEX flex_router_idx_enabled ON flex_router USING btree (enabled);
CREATE INDEX flex_router_idx_ip ON flex_router USING btree (ip);
CREATE INDEX flex_router_idx_port ON flex_router USING btree (port);
CREATE UNIQUE INDEX flex_router_uniq_account_ip ON flex_router USING btree (account, ip);

ALTER TABLE ONLY flex_router ADD CONSTRAINT flex_router_fk_account FOREIGN KEY (account) REFERENCES public.account(uuid);
